Results 1 to 9 of 9

Thread: zypper dyp failure

  1. #1

    Default zypper dyp failure

    Have error running zypper:

    Code:
    > sudo zypper dup -y --auto-agree-with-licenses --no-recommends
    Repository 'Основной репозиторий (NON-OSS) (20181122)' is invalid.
    [download.opensuse.org-non-oss|http://download.opensuse.org/history/20181122/tumbleweed/repo/non-oss/] Repository type can't be determined.
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Warning: Skipping repository 'Основной репозиторий (NON-OSS) (20181122)' because of the above error.
    Repository 'Primary repository (OSS) (20181122)' is invalid.
    [download.opensuse.org-oss|http://download.opensuse.org/history/20181122/tumbleweed/repo/oss/] Repository type can't be determined.
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Warning: Skipping repository 'Primary repository (OSS) (20181122)' because of the above error.
    Some of the repositories have not been refreshed because of an error.
    Which is strange as current Tmbleweed release version is: 20190115. How to fix?

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,629
    Blog Entries
    3

    Default Re: zypper dyp failure

    There's a command ("tumbleweed" if I recall) that can be used to add older versions of the repo, sometimes needed to fix things.

    It looks to me as if you did that at some time in the past. But that older version of the repo has now expired. So you need to remove that repo from your list of repos.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  3. #3

    Default Re: zypper dyp failure

    Quote Originally Posted by nrickert View Post
    There's a command ("tumbleweed" if I recall) that can be used to add older versions of the repo, sometimes needed to fix things.

    It looks to me as if you did that at some time in the past. But that older version of the repo has now expired. So you need to remove that repo from your list of repos.
    No just call zypper dyp - that is all. It is ok I just remove these repos from the list: whether further updates will go smoothly? Or I need to change repo version to following in URL:
    Code:
    http://download.opensuse.org/history/20190115/tumbleweed/repo/oss/
    http://download.opensuse.org/history/20190115/tumbleweed/repo/non-oss/
    ???

  4. #4
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,629
    Blog Entries
    3

    Default Re: zypper dyp failure

    Quote Originally Posted by akontsevich View Post
    Code:
    http://download.opensuse.org/history/20190115/tumbleweed/repo/oss/
    http://download.opensuse.org/history/20190115/tumbleweed/repo/non-oss/
    ???
    Yes, remove those repos.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  5. #5
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,629
    Blog Entries
    3

    Default Re: zypper dyp failure

    On second thought -- it is strange that you even have those repos. Maybe post the output from:
    Code:
    zypper lr -d
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  6. #6

    Default Re: zypper dyp failure

    Removed the repos. Added http://download.opensuse.org/tumbleweed/repo/non-oss/ which was absent for some reason.

    Quote Originally Posted by nrickert View Post
    On second thought -- it is strange that you even have those repos. Maybe post the output from:
    Code:
    zypper lr -d
    So current state is:
    Code:
    #  | Alias                                | Name                                                  | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                            | Service
    ---+--------------------------------------+-------------------------------------------------------+---------+-----------+---------+----------+--------+------------------------------------------------------------------------------------------------+--------
     1 | Node.js_(openSUSE_Tumbleweed)        | Node.js (openSUSE_Tumbleweed)                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.opensuse.org/repositories/devel:/languages:/nodejs/openSUSE_Tumbleweed/       |        
     2 | Virtualization                       | Virtualization (openSUSE_Factory)                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Virtualization/openSUSE_Factory/                     |        
     3 | code                                 | Visual Studio Code                                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://packages.microsoft.com/yumrepos/vscode                                                 |        
     4 | download.nvidia.com-tumbleweed       | nVidia Graphics Drivers                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.nvidia.com/opensuse/tumbleweed                                                |        
     5 | download.opensuse.org-non-oss        | Основной репозиторий (NON-OSS)                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/tumbleweed/repo/non-oss/                                          |
     6 | download.opensuse.org-tumbleweed     | Основной репозиторий обновлений                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/tumbleweed/                                                |
     7 | http-download.opensuse.org-000ec295  | home:Dead_Mozay                                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Dead_Mozay/openSUSE_Tumbleweed/                |
     8 | http-download.opensuse.org-027e8bd7  | devel:tools                                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/tools/openSUSE_Tumbleweed/                    |
     9 | http-download.opensuse.org-031a19ad  | games                                                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/games/openSUSE_Tumbleweed/                           |
    10 | http-download.opensuse.org-08e00ff7  | home:seoirse                                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/seoirse/openSUSE_Tumbleweed/                   |
    11 | http-download.opensuse.org-178e8234  | home:diamond_gr                                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/diamond_gr/openSUSE_Tumbleweed/                |
    12 | http-download.opensuse.org-2ebb852c  | home:OmniOBS                                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/OmniOBS/openSUSE_Tumbleweed/                   |
    13 | http-download.opensuse.org-4f2c8f0c  | devel:languages:python:flask                          | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/languages:/python:/flask/openSUSE_Tumbleweed/ |
    14 | http-download.opensuse.org-57c77192  | mozilla                                               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_Tumbleweed/                         |
    15 | http-download.opensuse.org-6c574fe3  | games:tools                                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/games:/tools/openSUSE_Tumbleweed/                    |
    16 | http-download.opensuse.org-7bcaddbb  | devel:tools:scm                                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/tools:/scm/openSUSE_Tumbleweed/               |
    17 | http-download.opensuse.org-82385146  | system:snappy                                         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/system:/snappy/openSUSE_Tumbleweed/                  |
    18 | http-download.opensuse.org-8580fdeb  | home:Lord-Master                                      | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Lord-Master/openSUSE_Tumbleweed/               |
    19 | http-download.opensuse.org-8d1cced4  | Основной репозиторий (OSS)                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/tumbleweed/repo/oss/                                              |
    20 | http-download.opensuse.org-b40c7f93  | openSUSE:Tumbleweed                                   | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/openSUSE:/Tumbleweed/standard/                       |
    21 | http-download.opensuse.org-d0c27738  | GNOME:Apps                                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/GNOME:/Apps/openSUSE_Factory/                        |
    22 | openSUSE-20170822-0                  | openSUSE-20170822-0                                   | No      | ----      | ----    |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-HL-DT-ST_DVDRAM_GH24NSC0_K1GECPE4322                        |
    23 | openSUSE_Tumbleweed                  | PostgreSQL and related packages (openSUSE_Tumbleweed) | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/server:/database:/postgresql/openSUSE_Tumbleweed/    |
    24 | packman.inode.at-openSUSE_Tumbleweed | Packman Repository                                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Tumbleweed/                                              |
    25 | repo-debug                           | openSUSE-Tumbleweed-Debug                             | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/debug/tumbleweed/repo/oss/                                        |
    26 | repo-source                          | openSUSE-Tumbleweed-Source                            | No      | ----      | ----    |   99     | NONE   | http://download.opensuse.org/source/tumbleweed/repo/oss/                                       |
    27 | riot-stable-leap                     | Riot - OpenSuse Leap 20180820 - x86_64                | No      | ----      | ----    |   99     | rpm-md | https://toddwarner.keybase.pub/repo/riot-opensuse/leap/x86_64/                                 |
    28 | riot-stable-tumbleweed               | Riot for OpenSuse Tumbleweed - x86_64                 | Yes     | ( p) Yes  | Yes     |   99     | rpm-md | https://toddwarner.keybase.pub/repo/riot-opensuse/tumbleweed/x86_64/                           |
    29 | skype-stable                         | skype (stable)                                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://repo.skype.com/rpm/stable/                                                             |
    30 | skype-unstable                       | skype (unstable)                                      | No      | ----      | ----    |   99     | rpm-md | https://repo.skype.com/rpm/unstable/

  7. #7
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,293
    Blog Entries
    2

    Default Re: zypper dyp failure

    I wonder if the old repo is not being removed because the "no-recommends" might try to retain a package.
    If you installed BTRFS, you might try upgrading without that switch to see if it clears up the problem... You can easily roll back if you don't want to keep the new state of things.

    Out of curiosity, wondering about your reason for "no-recommends?"

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  8. #8

    Default Re: zypper dyp failure

    Quote Originally Posted by tsu2 View Post
    Out of curiosity, wondering about your reason for "no-recommends?"TSU
    It adds much packages I do not want to like: ibus, mono (conflicts with .Net Core), etc. Can put them to ignore of course. I do not use BRTFS.

  9. #9
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,629
    Blog Entries
    3

    Default Re: zypper dyp failure

    Quote Originally Posted by akontsevich View Post
    Removed the repos. Added http://download.opensuse.org/tumbleweed/repo/non-oss/ which was absent for some reason.
    I mostly wanted to make sure that the important Tumbleweed repos are still there. And your list shows that they are.

    You have a lot of special purpose repos. I'm not familiar with most of them. However, they could be a potential source of problems, though you would probably see a conflict message from "zypper".
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •